Bug 2249947 - TRIAGE CVE-2023-44444 gimp: psp off-by-one RCE [fedora-all]
Summary: TRIAGE CVE-2023-44444 gimp: psp off-by-one RCE [fedora-all]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: 39
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-44444
TreeView+ depends on / blocked
 
Reported: 2023-11-16 00:51 UTC by Nick Tait
Modified: 2024-01-10 22:37 UTC (History)
5 users (show)

Fixed In Version: gimp-2.10.36-2.fc39
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-10 22:37:23 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Nick Tait 2023-11-16 00:51:58 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2249946

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Nick Tait 2023-11-16 00:52:00 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2249946,2249947

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Nils Philippsen 2023-12-08 18:46:29 UTC
As I understand it, this has been solved in GIMP 2.10.36 which is available as a stable update in Fedora 39: https://bodhi.fedoraproject.org/updates/FEDORA-2023-41deaa7f1a

Please verify so we can close the bug.

Comment 3 Nick Tait 2023-12-08 21:22:27 UTC
Yep, that tracks. Go ahead and close.


Note You need to log in before you can comment on or make changes to this bug.